Subject: Re: linux-next: build failure after merge of the regulator tree

From: Rajendra Nayak <[email-masked]>
Date: Thu, 24 Nov 2011 13:01:28 +0530

On Thursday 24 November 2011 08:40 AM, Stephen Rothwell wrote:
> Hi all,
>
> After merging the regulator tree, today's linux-next build (x86_64
> allmodconfig) failed like this:
>
> drivers/regulator/gpio-regulator.c: In function 'gpio_regulator_probe':
> drivers/regulator/gpio-regulator.c:287:8: error: too few arguments to function 'regulator_register'
> include/linux/regulator/driver.h:215:23: note: declared here

Thanks Stephen, I just posted a patch to fix this on the regulator
for-next.
https://lkml.org/lkml/2011/11/24/29

>
>
> Caused by commit 2c043bcbf287 ("regulator: pass additional of_node to
> regulator_register()").
>
> drivers/regulator/gpio-regulator.c was added in commit 3f0292ae8bb1
> ("regulator: Add driver for gpio-controlled regulators") which was
> included in Linus' tree before v3.2-rc1.
>
> I have used the regulator tree from next-20111123 for today.